(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_start_mode ppf = function
  | Uhistory_types.Cold_start -> Format.fprintf ppf "%s" "Cold_start"
  | Uhistory_types.Warm_start -> Format.fprintf ppf "%s" "Warm_start"
;;

let print_history_file_name ppf = function
  | u_t -> Ufilename_print.print_t ppf u_t
;;

let print_write_directory_name ppf = function
  | u_t -> Ufilename_print.print_t ppf u_t
;;

let print_history_step_mode ppf = function
  | Uhistory_types.Last -> Format.fprintf ppf "%s" "Last"
  | Uhistory_types.Full -> Format.fprintf ppf "%s" "Full"
;;

let print_base_name ppf = function | u_t -> Ufilename_print.print_t ppf u_t
;;

let print_checkpointing ppf = function
  | b_o -> Lib_print.print_Option print_base_name ppf b_o
;;

let print_history_mode ppf = function
  | (h, c) ->
    Format.fprintf ppf "%,@[<1>(@,"; print_history_step_mode ppf h;
    Format.fprintf ppf "%,,@ "; print_checkpointing ppf c;
    Format.fprintf ppf "%,@,)@]"
;;

let print_state_number ppf = function | u_t -> Unatural_print.print_t ppf u_t
;;

let print_h_state pp_a ppf = function
  | { Uhistory_types.state_number = s; Uhistory_types.state = a; } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Format.fprintf ppf "%,@[<1>state_number =@ "; print_state_number ppf s;
    Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@[<1>state =@ ";
    pp_a ppf a; Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@,}@]"
;;

let print_h_list pp_a ppf = function
  | a_h_u_l -> Ulist1_print.print_list1 (print_h_state pp_a) ppf a_h_u_l
;;

let print_t pp_a pp_b ppf = function
  | {
      Uhistory_types.configuration = a;
      Uhistory_types.h_mode = h;
      Uhistory_types.h_list = b_h;
    } ->
    Format.fprintf ppf "%,@[<1>{@,";
    Format.fprintf ppf "%,@[<1>configuration =@ "; pp_a ppf a;
    Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@[<1>h_mode =@ ";
    print_history_mode ppf h; Format.fprintf ppf "%,;@]@ ";
    Format.fprintf ppf "%,@[<1>h_list =@ "; print_h_list pp_b ppf b_h;
    Format.fprintf ppf "%,;@]@ "; Format.fprintf ppf "%,@,}@]"
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
