(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: configuration_types.mli,v 1.15 2014-01-31 16:20:26 fclement Exp $ *)

open Refinement_types;;
open Display_types;;

(** {6 Algorithm configuration} *)

type t =
  {
   external_program_command : external_program_command;
   dimension : dimension;
   dimension_management : dimension_management;
   cutting_strategy : cutting_strategy;
   candidate_cuttings_selection_criterion :
     candidate_cuttings_selection_criterion;
   stopping_criterion : stopping_criterion;
  }
;;

(** {6 Program configuration} *)

type program_configuration =
  {
   formatter : Format.formatter;
   report_allocated_memory : bool;
   incremental_mode : bool;
   graphics_mode : graphics_mode;
   graphics_window_min_size : size;
   graphics_window_max_size : size;
   graphics_parameter_color_mapping : Colormapping.t;
   graphics_gradient_color_mapping : Colormapping.t;
  }
;;
