(***********************************************************************)
(*                                                                     *)
(*                              Ref-indic                              *)
(*                                                                     *)
(*                        Refinement indicators                        *)
(*                                                                     *)
(*               EPI Pomdapi, INRIA Paris - Rocquencourt               *)
(*                                                                     *)
(*  Copyright 2013-2014 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Hend Ben Ameur <hbenameur@yahoo.ca>                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* Beginning of OCamlGen, 3.3+dev4 generated code *)

let print_length ppf = function
  | u_l -> Upervasives_print.print_length ppf u_l
;;

let print_index ppf = function | u_i -> Upervasives_print.print_index ppf u_i
;;

let print_size ppf = function
  | (l, l0) ->
    Format.fprintf ppf "%,@[<1>(@,"; print_length ppf l;
    Format.fprintf ppf "%,,@ "; print_length ppf l0;
    Format.fprintf ppf "%,@,)@]"
;;

let print_dimension ppf = function | l -> print_length ppf l
;;

let print_param ppf = function | f -> Lib_print.print_quoted_float ppf f
;;

let print_cost ppf = function | f -> Lib_print.print_quoted_float ppf f
;;

let print_fine_parameter ppf = function
  | p_u_t -> Umatrix_print.print_t print_param ppf p_u_t
;;

let print_fine_gradient ppf = function | f -> print_fine_parameter ppf f
;;

let print_partition ppf = function
  | i_u_t -> Umatrix_print.print_t print_index ppf i_u_t
;;

let print_coarse_parameter ppf = function
  | p_a_a ->
    Lib_print.print_Array (Lib_print.print_Array print_param) ppf p_a_a
;;

(* End of OCamlGen, 3.3+dev4 generated code *)
