CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
C                                                                     C
C                              Ref-indic                              C
C                                                                     C
C                        Refinement indicators                        C
C                                                                     C
C               EPI Pomdapi, INRIA Paris - Rocquencourt               C
C                                                                     C
C  Copyright 2013-2014 INRIA.                                         C
C  Institut National de Recherche en Informatique et en Automatique.  C
C  All rights reserved. This file is distributed only by permission.  C
C                                                                     C
C  Hend Ben Ameur <hbenameur@yahoo.ca>                                C
C  Francois Clement <Francois.Clement@inria.fr>                       C
C  Pierre Weis <Pierre.Weis@inria.fr>                                 C
C                                                                     C
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC

C     $Id: identity_model_error.fpp,v 1.3 2014-03-07 23:56:25 fclement Exp $

#include "identity_model_constants.h"

      subroutine error_not_yet_implemented(s_len, sbr, len, msg)
      
      implicit none
      
      include 'pio_user_error_definition.fh'
      
C     Input arguments.
      character sbr*(*), msg*(*)
      integer s_len, len
      
      ier = NOT_YET_IMPLEMENTED_ERROR
      
      em_len = 15 + s_len + 1 + 1 + len + 21
      em_len = min(em_len, PIO_USER_MAX_ERROR_MESSAGE_LENGTH)
      
      write(error_msg, 1001) sbr(1:s_len), msg(1:len)
      
 1001 format('fatal error in ', a, ':',
     +     ' ', a, ' not yet implemented.')
      
      return
      end


      subroutine error_unbound_magic_number(s_len, sbr, bad)
      
      implicit none
      
      include 'pio_user_error_definition.fh'
      
C     Input arguments.
      character sbr*(*), bad*2
      integer s_len
      
      ier = UNBOUND_MAGIC_NUMBER_ERROR
      
      em_len = 15 + s_len + 1 + 22 + 2 + 1
      em_len = min(em_len, PIO_USER_MAX_ERROR_MESSAGE_LENGTH)
      
      write(error_msg, 1001) sbr(1:s_len), bad
      
 1001 format('fatal error in ', a, ':',
     +     ' unbound magic number ', a2, '.')
      
      return
      end


      subroutine error_wrong_pnm_format(s_len, sbr)
      
      implicit none
      
      include 'pio_user_error_definition.fh'
      
C     Input arguments.
      character sbr*(*)
      integer s_len
      
      ier = WRONG_PNM_FORMAT_ERROR
      
      em_len = 15 + s_len + 1 + 18 + 1
      em_len = min(em_len, PIO_USER_MAX_ERROR_MESSAGE_LENGTH)
      
      write(error_msg, 1001) sbr(1:s_len)
      
 1001 format('fatal error in ', a, ':',
     +     ' wrong PNM format.')
      
      return
      end


      subroutine error_unbound_dimension(s_len, sbr, bad)
      
      implicit none
      
      include 'pio_user_error_definition.fh'
      
C     Input arguments.
      character sbr*(*)
      integer s_len, bad
      
      ier = UNBOUND_DIMENSION_ERROR
      
      em_len = 15 + s_len + 1 + 19 + WORKER_MAX_DIMENSION_LEN + 1
      em_len = min(em_len, PIO_USER_MAX_ERROR_MESSAGE_LENGTH)
      
      write(error_msg, 1001) sbr(1:s_len), bad
      
 1001 format('fatal error in ', a, ':',
     +     ' unbound dimension ', WORKER_MAX_DIMENSION_FMT, '.')
      
      return
      end
